Classes | Namespaces | Functions
MStreamable.h File Reference

Abstract base class for all streamable objects. More...

`#include <iostream>`
`#include "CgiDefs.h"`

Go to the source code of this file.

## Classes
class | cgicc::MStreamable
| Mix-in streamable interface. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Functions
std::ostream & | cgicc::operator<< (std::ostream &out, const MStreamable &obj)

## Detailed Description

Abstract base class for all streamable objects.

A streamable object is an object that can be written to an `ostream` using the `<<` operator.

Definition in file MStreamable.h.